<?xml version="1.0" encoding="UTF-8"?>

<panel>

  <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>
  <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true"/>

  <!-- a vertical adaptive contaienr will arrange vertically, top-down, and stick children horizontally -->
  <container class="vertical_arrange_container" gap="3" layout="-15, -40" inset="0" offset="0">
	
	<!--<container class="horizontal_arrange_container" gap="5" layout="-3,-3,-2" inset="0" offset="0">-->
    <container class="plain_box">
	    <layout class="arrange_vertical_attachment" gap="3" layout="-1, 70" inset="0" offset="0"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

      <!--Ask Assistant-->
      <container class="subsection_box" id="assc">
        <layout class="arrange_vertical_attachment" alignment="top, extend" gap="0" offset="10"/>
        <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true"/>

        <widget class="text" id="assd" auto_size="all" size="10"/>

        <container class="group_box" embed_in_frame="true">
          <layout class="arrange_horizontal_attachment" alignment="left" embed_in_frame="true" offset="5" gap="0"/>
          <layout class="stick_to_sides_attachment" alignment="top" inset="0" layout_children="true" embed_in_frame="true"/>
          <layout class="stick_to_sides_attachment" alignment="top,right" embed_in_frame="true" inset="5"/>
          <layout class="fit_children_attachment" alignment="vertical" embed_in_frame="true"/>
          <layout class="fit_children_attachment" alignment="horizontal,fill" embed_in_frame="true"/>

          <widget class="embedded_action_button" id="debi" hidden="true" text="(De)Undo" translate="false" auto_size="all" click_event="fpar" embed_in_frame="true"/>
          <widget class="action_button" id="asTK" height="20" auto_size="horizontal" embed_in_frame="true"/>
        </container>

        <!-- buttons area -->
        <container class="group_box" embed_in_frame="true">
          <layout class="arrange_horizontal_attachment" alignment="left" embed_in_frame="true" offset="5" gap="0"/>
          <layout class="stick_to_sides_attachment" alignment="top" inset="0" layout_children="true" embed_in_frame="true"/>
          <layout class="stick_to_sides_attachment" alignment="top,left" embed_in_frame="true" inset="5"/>
          <layout class="fit_children_attachment" alignment="vertical" embed_in_frame="true"/>
          <layout class="fit_children_attachment" alignment="horizontal,fill" embed_in_frame="true"/>

          <widget class="view_menu_label" text="Advice From[COMMENT: tactics screen: button for asking assistant for opp instructions]" embed_in_frame="true"/>
           <!--view button--> 
          <widget class="view_menu_popup" id="asTP" auto_size="all" embed_in_frame="true"/>
        </container>

      </container>

      <!--The overall team talk-->
      <container class="bordered_box">

        <layout class="arrange_horizontal_attachment" gap="2" layout="-1,-1" inset="0" offset="0"/>
	      <layout class="stick_to_sides_attachment" alignment="vertical" layout_children="true" inset="0" />

        <container>
          <!--<layout class="arrange_vertical_attachment" alignment="top" inset="0" gap="0"/>-->
          <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true"/>

          <widget class="player_team_talk_popup" multiline="false" id="ovrt" mode="1" select_event="cttt" height="15" width="130" appearance="menu/blue" size="9" style="shadowed">
            <event id="menu_layout_notification_event" event_id="meov" event_target="ovrt"/>
            <event id="click_notification_event" event_id="ovcl" item="NULL" event_target="ovrt"/>
          </widget> 
            
          <widget class="text" id="tetx" hidden="true" auto_size="all" size="10" style="semi_bold, embossed"/>

        </container>

        <widget class="match_quick_instructions_panel" id="mqip" file="match quick instructions popups" has_pending_list="false" use_ticked_instruction_mode="true"/>
  
      </container>

    </container>

    <container class="subsection_box" title="2. Individual and Positional Team Talks[COMMENT: individual and Positional team talks]" id="indc">

      <layout class="arrange_vertical_attachment" alignment="bottom,extend" offset="0" gap="0" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />
        
      <container class="vertical_arrange_container" gap="0" layout="38, -1" inset="0" offset="0">
          
        <!-- widget class="text" text="Individual Team Talk[COMMENT: individual team talks]" auto_size="all"/>-->

        <widget class="table" layout="-1, -1, -1" auto_size="vertical" mode="none" row_spacing="0" column_spacing="4" auto_size_rows="true" fixed_size_rows="false">
          <list id="column_properties">
            <record indx="0" spec="text"/>
            <record indx="1" spec="text"/>
            <record indx="2" spec="text"/>
          </list>

          <widget class="text" text="Defenders[COMMENT: match team talk panel; position divider if user wants to deliver a team talk to a positional group]" auto_size="all" col="0" row="0"/>
          <widget class="player_team_talk_popup" multiline="false" team_talk_type="1" id="deft"  mode="2" text="None" select_event="cdtt"  appearance="menu/blue" auto_size="vertical" width="150" col="0" row="1"/>

          <widget class="text" text="Midfielders[COMMENT: match team talk panel; position divider if user wants to deliver a team talk to a positional group]" auto_size="all" col="1" row="0"/>
          <widget class="player_team_talk_popup" multiline="false" team_talk_type="2" id="midt"  mode="2" text="None" select_event="cmtt"  appearance="menu/blue" auto_size="vertical" width="150" col="1" row="1"/>

          <widget class="text" text="Strikers[COMMENT: match team talk panel; position divider if user wants to deliver a team talk to a positional group]" auto_size="all" col="2" row="0"/>
          <widget class="player_team_talk_popup" multiline="false" team_talk_type="3" id="strt"  mode="2" text="None" select_event="cstt"  appearance="menu/blue" auto_size="vertical" width="150" col="2" row="1"/>

        </widget>

        <widget class="match_team_talk_reaction_panel" id="tesp" file="match team squad team talk"/>

      </container>

      <!--Confirm/undo/cancel buttons-->
      <container class="plain_box">
        <layout class="arrange_horizontal_platform_attachment" alignment="right" offset="0"/>
        <layout class="stick_to_sides_attachment" alignment="bottom" inset="0" layout_children="true"/>
        <layout class="fit_children_attachment" alignment="vertical" offset="0"/>

        <widget kind="icon_button_blue" id="aptt" text="Confirm Changes[COMMENT: match screen; confirmation button for combined team talk and tactical changes]" auto_size="all" icon="icons/actions/confirm">
          <record id="click_event">
            <flags id="event_id" value="aptt" />
          </record>
        </widget>

        <widget kind="action_button" id="uchc" text="Undo Last" auto_size="all">
          <record id="click_event">
            <flags id="event_id" value="uchc" />
          </record>
        </widget>

        <widget kind="action_button" id="cntt" text="Cancel" auto_size="all">
          <record id="click_event">
            <flags id="event_id" value="cntt" />
          </record>
        </widget>

        <widget kind="action_button" appearance="button/blue/button" id="extt" auto_size="all">
          <record id="click_event">
            <flags id="event_id" value="CONT" />
          </record>
        </widget>

      </container>
        
    </container>
      
  </container>
    

</panel>
